Перейти к содержимому

Реферальная программа Мегаплана


Ошибка классов

#1 TimurTimur

TimurTimur
  • Пользователь
  • 1 сообщений
  • Репутация: 0
0

Отправлено 05 Сентябрь 2010 - 18:29

Народ подскажите пожалуйста.В шаблоне у меня используетса ActionScript 2.0 а я всё пытаюсь вставить мой объект в ActionScript 3.0 и мне вечно выбивает ошибка классов. Вопрос " Можно ли так делать?" или я должен вставить объект в ActionScript 2.0.

 

 

  • 0

#2 Renovatio

Renovatio
  • Пользователь
  • 183 сообщений
  • Репутация: 4

Отправлено 07 Сентябрь 2010 - 19:52

Ну, во-первых, TimurTimur, стоило бы сначала погуглить, а потом спрашивать. Это на любом форуме ответят так.
Второе-не совсем понятно из описания что за объект и куда вставляли (в таких случаях лучше выкладывать исходники). Выбивает и будет выбивать ошибку, это принципиально разные версии языка. Не знаю где вы нашли ActionScript 2, но забудьте про это гадость! Уже давно есть ActionScript 3.

По существу:
Создание внешних классов на ActionScript 3.0

Можете почитать про конструктор класса на моем забытом блоге: http://juniorflashblog.eu5.org/

Наглядно о различии синтаксиса в ActionScript 2 и 3:
http://blogs.adobe.c...ips_in_act.html
http://blogs.adobe.c...s_in_actio.html
http://blogs.adobe.c...onscript/page/3
http://blogs.adobe.c...onscript/page/3
http://blogs.adobe.c...ry/actionscript

Также изумительный блог: http://actionscriptexamples.com/

Много материалов на английском. Если вы его не знаете, то, к сожалению, в ActionScript вам делать нечего, если только не хотите подняться выше баннермейкера.

И я СПЕЦИАЛЬНО создавал тему для новичков (даже с пометкой ВАЖНО): Материалы по Flash и ActionScript 2/3
  • 0


Оформление форума – IPBSkins.ru